> ## Documentation Index
> Fetch the complete documentation index at: https://guide.chatwize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Chatbot

> Update chatbot meta base on uuid

### Path

<ParamField path="uuid" type="string" required />

### Body

<ParamField body="name" type="string" />

<ParamField body="prompt" type="string" />

<ParamField body="temperature" type="float" />

<ParamField body="model" type="select" />

<ParamField body="visibility" type="string" />

<ParamField body="rate_limit" type="[number, number]" />

<ParamField body="rate_limit_message" type="string" />

<ParamField body="show_citations" type="boolean" />

### Response

<ResponseField name="created_at" type="string" />

<ResponseField name="meta" type="object">
  The meta of chatbot

  <Expandable title="Chatbot meta">
    <ResponseField name="model" type="string" />

    <ResponseField name="prompt" type="string" />

    <ResponseField name="rate_limit" type="[number, number]" />

    <ResponseField name="rate_limit_message" type="string" />

    <ResponseField name="show_citation" type="boolean" />

    <ResponseField name="temperature" type="number" />

    <ResponseField name="visibility" type="string" />
  </Expandable>
</ResponseField>

<ResponseField name="modified_at" type="string" />

<ResponseField name="name" type="string" />

<ResponseField name="uuid" type="string" />

<RequestExample>
  ```bash Curl
  curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/update' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>' \
  --data-raw '{
    "name": "string"
    "prompt": "string",
    "temperature": 0,
    "model": "gpt-3.5-turbo",
    "rate_limit": [
      20,
      240
    ],
    "rate_limit_message": "Too many messages",
    "show_citations": false,
    "visibility": "private"
  }'
  ```

  ```py Python
  import requests

  uuid = '<chatbot-uuid>'
  url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/update'
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer <token>'
  }

  data = {
      "name": "string",
      "prompt": "string",
      "temperature": 0,
      "model": "gpt-3.5-turbo",
      "rate_limit": [20, 240],
      "rate_limit_message": "Too many messages",
      "show_citations": False,
      "visibility": "private"
  }

  response = requests.post(url, headers=headers, json=data)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript
  const axios = require('axios');

  const uuid = '<chatbot-uuid>'
  const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/update`;
  const headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer <token>'
  };

  const data = {
      "name": "string",
      "prompt": "string",
      "temperature": 0,
      "model": "gpt-3.5-turbo",
      "rate_limit": [20, 240],
      "rate_limit_message": "Too many messages",
      "show_citations": false,
      "visibility": "private"
  };

  axios.post(url, data, { headers })
      .then(response => {
          console.log('Request successful!');
          console.log(response.data);
      })
      .catch(error => {
          console.error('Request failed:', error);
      });
  ```
</RequestExample>

<ResponseExample>
  ```json Response
  {
    "created_at": "string",
    "meta": {
      "model": "gpt-3.5-turbo",
      "prompt": "string",
      "rate_limit": [
        20,
        240
      ],
      "rate_limit_message": "Too many messages",
      "show_citations": false,
      "temperature": 0,
      "visibility": "private"
    },
    "modified_at": "string",
    "name": "string",
    "uuid": "string"
  }

  ```
</ResponseExample>
